use std::path::PathBuf;

use crate::error::CustomError;

#[derive(Debug)]
pub(crate) struct BlogPostPage {
    /// Relative path from the root of the blog post.
    path: PathBuf,

    title: String,
}

impl BlogPostPage {
    pub(crate) fn new<P: Into<PathBuf>>(
        path: P,
        document: organic::types::Document<'_>,
    ) -> Result<BlogPostPage, CustomError> {
        let path = path.into();
        Ok(BlogPostPage {
            path,
            title: "".to_owned(),
        })
    }
}
